package com.bwie.auth.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient("bwie-user")
public interface AuthFeign {
    @PostMapping("/userLogin")
    public Result<User> userLogin(@RequestBody User user);
    @PostMapping("/addUser")
    public Result addUser(@RequestBody User user);
}
