package com.bwie.common.domain;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
//秒杀
@Data
public class Seckill {
    //主键自增
    private Integer seckillId;
    //活动名字
    private String seckillName;
    //图片
    private String seckillPic;
//    开始时间
    private Date seckillBeginTime;
//    结束时间
    private Date seckillEndTime;

    //商品表
    //商品主键
    private Integer shopId;
    //商品图
    private String shopPic;
    //商品名
    private String shopName;
    //类型
    private Integer typeId;
    //商品价格
    private BigDecimal shopPrice;
    //商品销量
    private Integer shopNum;
    //商品库存
    private Integer shopStocks;
    //商品是否上架 （1为下架 0为上架）
    private Integer shopStatus;
    //上架时间
    private Date shopTime;
    //加入购物车
    private Integer shopJoin;
    //展示
    private Integer shopShow;

    private Integer middleId;
}
