package com.bwie.es.controller;

import com.bwie.common.domain.Seckill;
import com.bwie.common.result.Result;
import com.bwie.es.service.impl.EsSeckillServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class EsSeckillController {
    @Autowired
    private EsSeckillServiceImpl esService;
    //秒杀列表
    @PostMapping("/seckillSeach")
    public Result<List<Seckill>> seckillSeach(@RequestBody Seckill seckill){
        return esService.seckillSeach(seckill);
    }
    //批量添加
    @PostMapping("/batchAddSeckill")
    public Result batchAddSeckill(@RequestBody List<Seckill> seckillList){
        esService.batchAddSeckill( seckillList );
        return Result.success();
    }
    //皮删
    @PostMapping("/batchDelSeckill")
    public Result batchDelSeckill(@RequestBody List<Integer> idsList){
        esService.batchDelSeckill(idsList);
        return Result.success();
    }



}
