package com.bwie.es.controller;

import com.bwie.common.domain.Shop;
import com.bwie.common.result.Result;
import com.bwie.es.service.impl.EsShopServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class EsShopController {
    @Autowired
    private EsShopServiceImpl esService;
//    商品表
    @PostMapping("/shopSeach")
    public Result<List<Shop>> shopSeach(@RequestBody Shop shop){
        return esService.shopSeach(shop);
    }
//批量添加
    @PostMapping("/batchAddShop")
    public Result batchAddShop(@RequestBody List<Shop> shopList){
        esService.batchAddShop( shopList );
        return Result.success();
    }
//    批山
    @PostMapping("/batchDelShop")
    public Result batchDelShop(@RequestBody List<Integer> idsList){
        esService.batchDelShop(idsList);
        return Result.success();
    }



}
