package com.bwie.es.feign;


import com.bwie.common.domain.Shop;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;
//远调shop层
@FeignClient("bwie-shop")
public interface EsShopFeign {
    @GetMapping("findShopList")
    public Result<List<Shop>> findShopList();
}
