package com.bwie.car.controller;

import com.bwie.car.service.impl.CarServiceImpl;
import com.bwie.common.domain.Car;
import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

//购物车控制层
@RestController
public class CarController {
    @Autowired
    private CarServiceImpl carService;
    //添加购物车
    @PostMapping("/addCar")
    public Result addCar(@RequestBody Car car){
        Integer i = carService.addCar( car );
        return i>0?Result.success():Result.error(500,"添加失败");
    }
    //购物车清单
    @PostMapping("/findCarList")
    public Result<List> findCarList(){
        List<Car> carList = carService.findCarList();
        return Result.success(carList);
    }

}
