package com.bwie.seckill.service;

import com.bwie.common.domain.Car;
import com.bwie.common.domain.Seckill;
import com.bwie.common.result.Result;

import java.math.BigDecimal;
import java.util.List;

public interface SeckillService {
    //秒杀表展示
    List<Seckill> findSeckillList();
    //点击秒杀商品按钮，可以跳入商品详情页面(回显)
    Seckill findByshopId(Integer shopId);
    //触发添加购物车操作
    Integer updShopJoin(Integer shopId);
    //添加购物车
    Result<Integer> addCar(Car car);
    //根据名字查询列表
    List<Car>findCarByName( String carName);
    //根据iD修改数量
    Integer updById(Integer carId);
    //扣款
    Integer updUserMoney(Integer userId, BigDecimal userMoney);
    //触发扣款
    Integer updCarStatus(Car car);
    //删除订单
    Integer delCar(Integer carId);
    //商品库存-1
    Integer updShopNum(String shopName);
}
