package com.bwie.type.controller;

import com.bwie.common.domain.Type;
import com.bwie.common.result.Result;
import com.bwie.type.service.impl.TypeServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class TypeController {
    @Autowired
    private TypeServiceImpl typeService;

    @GetMapping("/findTypeList")
    public Result<List<Type>> findTypeList(){
        List<Type> typeList = typeService.findTypeList();
        return Result.success(typeList);
    }
}
