package com.bwie.auth.controller;

import com.bwie.auth.service.impl.AuthServiceImpl;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class AuthController {
    @Autowired
    private AuthServiceImpl authService;

    @PostMapping("/authLogin")
    public Result<User> authLogin(@RequestBody User user){
        return authService.authLogin( user );
    }
    @GetMapping("/info")
    public Result info(){
        return authService.info(  );
    }
    @PostMapping("authAddUser")
    public Result authAddUser(@RequestBody User user){
        return authService.addUser( user );
    }
    @PostMapping("logout")
    public Result logout(){
        return Result.success(200,"成功");
    }
}
