package com.bwie.es.feign;


import com.bwie.common.domain.Seckill;
import com.bwie.common.domain.Shop;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;
//远调Seckill层
@FeignClient("bwie-seckill")
public interface EsSeckillFeign {
    @GetMapping("/findSeckillList")
    public Result<List<Seckill>> findSeckillList();
}
