package com.bwie.seckill.feign;

import com.bwie.common.domain.Car;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
//调用购物车微服务
@FeignClient("bwie-car")
public interface CarFeign {
    //添加购物车
    @PostMapping("/addCar")
    public Result<Integer> addCar(@RequestBody Car car);
}
