package com.bwie.shop.service.impl;

import com.bwie.common.domain.Shop;
import com.bwie.shop.mapper.ShopMapper;
import com.bwie.shop.service.ShopService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ShopServiceImpl implements ShopService {
    @Autowired
    private ShopMapper shopMapper;
    @Override
    public List<Shop> findShopList() {
        return shopMapper.findShopList();
    }

    @Override
    public Integer addShop(Shop shop) {
        return shopMapper.addShop( shop );
    }
}
