package com.bwie.user.controller;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import com.bwie.user.service.impl.UserServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class UserController {
    @Autowired
    private UserServiceImpl userService;

    @PostMapping("/userLogin")
    public Result<User> userLogin(@RequestBody User user){
        User login = userService.login( user.getUserName() );
        return Result.success(login);
    }
    @PostMapping("/addUser")
    public Result addUser(@RequestBody User user){
        Integer i = userService.addUser( user );
        return i>0?Result.success("注册成功"):Result.error(500,"注册失败");
    }
}
