package com.bwie.user.service.impl;

import com.bwie.common.domain.User;
import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UserServiceImpl implements UserService {
    //注入UserMapper
    @Autowired
    private UserMapper userMapper;
    //登录业务
    @Override
    public User login(String userName) {
        return userMapper.login( userName );
    }
    //注册
    @Override
    public Integer addUser(User user) {
        return userMapper.addUser( user );
    }
}
